CREATE TABLE `webcal_asst` (
  `cal_boss` varchar(25) NOT NULL,
  `cal_assistant` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_boss`,`cal_assistant`)
) TYPE=MyISAM;
CREATE TABLE `webcal_categories` (
  `cat_id` int(11) NOT NULL,
  `cat_owner` varchar(25) default NULL,
  `cat_name` varchar(80) NOT NULL,
  PRIMARY KEY  (`cat_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_config` (
  `cal_setting` varchar(50) NOT NULL,
  `cal_value` varchar(100) default NULL,
  PRIMARY KEY  (`cal_setting`)
) TYPE=MyISAM;
INSERT INTO `webcal_config` VALUES ('application_name','WebCalendar'),('LANGUAGE','@@LOCALE@@'),('demo_mode','N'),('require_approvals','Y'),('groups_enabled','N'),('user_sees_only_his_groups','N'),('categories_enabled','N'),('allow_conflicts','N'),('conflict_repeat_months','6'),('disable_priority_field','N'),('disable_access_field','N'),('disable_participants_field','N'),('disable_repeating_field','N'),('allow_view_other','Y'),('email_fallback_from','youremailhere'),('remember_last_login','Y'),('allow_color_customization','Y'),('BGCOLOR','#FFFFFF'),('TEXTCOLOR','#000000'),('H2COLOR','#000000'),('CELLBG','#C0C0C0'),('WEEKENDBG','#D0D0D0'),('TABLEBG','#000000'),('THBG','#FFFFFF'),('THFG','#000000'),('POPUP_FG','#000000'),('POPUP_BG','#FFFFFF'),('TODAYCELLBG','#FFFF33'),('STARTVIEW','week.php'),('WEEK_START','0'),('TIME_FORMAT','12'),('DISPLAY_UNAPPROVED','Y'),('DISPLAY_WEEKNUMBER','Y'),('WORK_DAY_START_HOUR','8'),('WORK_DAY_END_HOUR','17'),('send_email','N'),('EMAIL_REMINDER','Y'),('EMAIL_EVENT_ADDED','Y'),('EMAIL_EVENT_UPDATED','Y'),('EMAIL_EVENT_DELETED','Y'),('EMAIL_EVENT_REJECTED','Y');
CREATE TABLE `webcal_entry` (
  `cal_id` int(11) NOT NULL,
  `cal_group_id` int(11) default NULL,
  `cal_ext_for_id` int(11) default NULL,
  `cal_create_by` varchar(25) NOT NULL,
  `cal_date` int(11) NOT NULL,
  `cal_time` int(11) default NULL,
  `cal_mod_date` int(11) default NULL,
  `cal_mod_time` int(11) default NULL,
  `cal_duration` int(11) NOT NULL,
  `cal_priority` int(11) default '2',
  `cal_type` char(1) default 'E',
  `cal_access` char(1) default 'P',
  `cal_name` varchar(80) NOT NULL,
  `cal_description` text,
  PRIMARY KEY  (`cal_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_entry_ext_user` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_fullname` varchar(50) NOT NULL,
  `cal_email` varchar(75) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_fullname`)
) TYPE=MyISAM;
CREATE TABLE `webcal_entry_log` (
  `cal_log_id` int(11) NOT NULL,
  `cal_entry_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  `cal_user_cal` varchar(25) default NULL,
  `cal_type` char(1) NOT NULL,
  `cal_date` int(11) NOT NULL,
  `cal_time` int(11) default NULL,
  `cal_text` text,
  PRIMARY KEY  (`cal_log_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_entry_repeats` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_type` varchar(20) default NULL,
  `cal_end` int(11) default NULL,
  `cal_frequency` int(11) default '1',
  `cal_days` char(7) default NULL,
  PRIMARY KEY  (`cal_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_entry_repeats_not` (
  `cal_id` int(11) NOT NULL,
  `cal_date` int(11) NOT NULL,
  PRIMARY KEY  (`cal_id`,`cal_date`)
) TYPE=MyISAM;
CREATE TABLE `webcal_entry_user` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_login` varchar(25) NOT NULL,
  `cal_status` char(1) default 'A',
  `cal_category` int(11) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_login`)
) TYPE=MyISAM;
CREATE TABLE `webcal_group` (
  `cal_group_id` int(11) NOT NULL,
  `cal_owner` varchar(25) default NULL,
  `cal_name` varchar(50) NOT NULL,
  `cal_last_update` int(11) NOT NULL,
  PRIMARY KEY  (`cal_group_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_group_user` (
  `cal_group_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_group_id`,`cal_login`)
) TYPE=MyISAM;
CREATE TABLE `webcal_import` (
  `cal_import_id` int(11) NOT NULL,
  `cal_name` varchar(50) default NULL,
  `cal_date` int(11) NOT NULL,
  `cal_type` varchar(10) NOT NULL,
  `cal_login` varchar(25) default NULL,
  PRIMARY KEY  (`cal_import_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_import_data` (
  `cal_import_id` int(11) NOT NULL,
  `cal_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  `cal_import_type` varchar(15) NOT NULL,
  `cal_external_id` varchar(200) default NULL,
  PRIMARY KEY  (`cal_id`,`cal_login`)
) TYPE=MyISAM;
CREATE TABLE `webcal_nonuser_cals` (
  `cal_login` varchar(25) NOT NULL,
  `cal_lastname` varchar(25) default NULL,
  `cal_firstname` varchar(25) default NULL,
  `cal_admin` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_login`)
) TYPE=MyISAM;
CREATE TABLE `webcal_reminder_log` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_name` varchar(25) NOT NULL,
  `cal_event_date` int(11) NOT NULL default '0',
  `cal_last_sent` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cal_id`,`cal_name`,`cal_event_date`)
) TYPE=MyISAM;
CREATE TABLE `webcal_report` (
  `cal_login` varchar(25) NOT NULL,
  `cal_report_id` int(11) NOT NULL,
  `cal_is_global` char(1) NOT NULL default 'N',
  `cal_report_type` varchar(20) NOT NULL,
  `cal_include_header` char(1) NOT NULL default 'Y',
  `cal_report_name` varchar(50) NOT NULL,
  `cal_time_range` int(11) NOT NULL,
  `cal_user` varchar(25) default NULL,
  `cal_allow_nav` char(1) default 'Y',
  `cal_cat_id` int(11) default NULL,
  `cal_include_empty` char(1) default 'N',
  `cal_show_in_trailer` char(1) default 'N',
  `cal_update_date` int(11) NOT NULL,
  PRIMARY KEY  (`cal_report_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_report_template` (
  `cal_report_id` int(11) NOT NULL,
  `cal_template_type` char(1) NOT NULL,
  `cal_template_text` text,
  PRIMARY KEY  (`cal_report_id`,`cal_template_type`)
) TYPE=MyISAM;
CREATE TABLE `webcal_site_extras` (
  `cal_id` int(11) NOT NULL default '0',
  `cal_name` varchar(25) NOT NULL,
  `cal_type` int(11) NOT NULL,
  `cal_date` int(11) default '0',
  `cal_remind` int(11) default '0',
  `cal_data` text,
  PRIMARY KEY  (`cal_id`,`cal_name`,`cal_type`)
) TYPE=MyISAM;
CREATE TABLE `webcal_user` (
  `cal_login` varchar(25) NOT NULL,
  `cal_passwd` varchar(32) default NULL,
  `cal_lastname` varchar(25) default NULL,
  `cal_firstname` varchar(25) default NULL,
  `cal_is_admin` char(1) default 'N',
  `cal_email` varchar(75) default NULL,
  PRIMARY KEY  (`cal_login`)
) TYPE=MyISAM;
INSERT INTO `webcal_user` VALUES ('@@ADMIN_LOGIN@@','@@ADMIN_PASSWD@@','Administrator','Default','Y',NULL);
CREATE TABLE `webcal_user_layers` (
  `cal_layerid` int(11) NOT NULL default '0',
  `cal_login` varchar(25) NOT NULL,
  `cal_layeruser` varchar(25) NOT NULL,
  `cal_color` varchar(25) default NULL,
  `cal_dups` char(1) default 'N',
  PRIMARY KEY  (`cal_login`,`cal_layeruser`)
) TYPE=MyISAM;
CREATE TABLE `webcal_user_pref` (
  `cal_login` varchar(25) NOT NULL,
  `cal_setting` varchar(25) NOT NULL,
  `cal_value` varchar(100) default NULL,
  PRIMARY KEY  (`cal_login`,`cal_setting`)
) TYPE=MyISAM;
INSERT INTO `webcal_user_pref` VALUES ('@@ADMIN_LOGIN@@','LANGUAGE','@@LOCALE@@'),
('@@ADMIN_LOGIN@@','TZ_OFFSET','0'),
('@@ADMIN_LOGIN@@','FONTS','Arial, Helvetica, sans-serif'),
('@@ADMIN_LOGIN@@','STARTVIEW','week.php'),
('@@ADMIN_LOGIN@@','DISPLAY_WEEKENDS','Y'),
('@@ADMIN_LOGIN@@','DISPLAY_DESC_PRINT_DAY','N'),
('@@ADMIN_LOGIN@@','DATE_FORMAT','__month__ __dd__, __yyyy__'),
('@@ADMIN_LOGIN@@','DATE_FORMAT_MY','__month__ __yyyy__'),
('@@ADMIN_LOGIN@@','DATE_FORMAT_MD','__month__ __dd__'),
('@@ADMIN_LOGIN@@','TIME_FORMAT','12'),
('@@ADMIN_LOGIN@@','TIME_SLOTS','24'),
('@@ADMIN_LOGIN@@','auto_refresh','N'),
('@@ADMIN_LOGIN@@','auto_refresh_time','0'),
('@@ADMIN_LOGIN@@','DISPLAY_UNAPPROVED','Y'),
('@@ADMIN_LOGIN@@','DISPLAY_WEEKNUMBER','Y'),
('@@ADMIN_LOGIN@@','WEEK_START','0'),
('@@ADMIN_LOGIN@@','WORK_DAY_START_HOUR','8'),
('@@ADMIN_LOGIN@@','WORK_DAY_END_HOUR','17'),
('@@ADMIN_LOGIN@@','TIMED_EVT_LEN','D'),
('@@ADMIN_LOGIN@@','EMAIL_REMINDER','Y'),
('@@ADMIN_LOGIN@@','EMAIL_EVENT_ADDED','Y'),
('@@ADMIN_LOGIN@@','EMAIL_EVENT_UPDATED','Y'),
('@@ADMIN_LOGIN@@','EMAIL_EVENT_DELETED','Y'),
('@@ADMIN_LOGIN@@','EMAIL_EVENT_REJECTED','Y'),
('@@ADMIN_LOGIN@@','BGCOLOR','#FFFFFF'),
('@@ADMIN_LOGIN@@','H2COLOR','#000000'),
('@@ADMIN_LOGIN@@','CELLBG','#C0C0C0'),
('@@ADMIN_LOGIN@@','TODAYCELLBG','#FFFF33'),
('@@ADMIN_LOGIN@@','WEEKENDBG','#D0D0D0');

CREATE TABLE `webcal_view` (
  `cal_view_id` int(11) NOT NULL,
  `cal_owner` varchar(25) NOT NULL,
  `cal_name` varchar(50) NOT NULL,
  `cal_view_type` char(1) default NULL,
  `cal_is_global` char(1) NOT NULL default 'N',
  PRIMARY KEY  (`cal_view_id`)
) TYPE=MyISAM;
CREATE TABLE `webcal_view_user` (
  `cal_view_id` int(11) NOT NULL,
  `cal_login` varchar(25) NOT NULL,
  PRIMARY KEY  (`cal_view_id`,`cal_login`)
) TYPE=MyISAM;
